Subject: bug#53715: 29.0.50; [PATCH] Improve correctness of pipelines in Eshell

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Feb 2022 20:49:57 +0100

Jim Porter <[email-masked]> writes:

> Sorry, I forgot to mention that since the second patch updates a
> defsubst (`eshell-interactive-process'), you'll need to recompile all
> the files that might use it, so `make boostrap' or `touch
> lisp/eshell/*.el test/lisp/eshell/*.el && make'. That should make
> these tests pass.

I did remove all the .elc files in lisp/eshell and rebuilt, but the
tests still failed.  (I didn't try to delete the test elc files,
though.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no